/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MyListener.java,v 1.4 2003/12/23 09:49:05 antonma Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.j2eemanagement.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;

import javax.management.NotificationListener;
import javax.management.Notification;

/**
 * @author Adriana Danes
 * @author Michel-Ange Anton
 */
public class MyListener implements NotificationListener {

// ---------------------------------------------------------- Properties variables

    private ArrayList listNotifications = null;

// ---------------------------------------------------------- Constructor

    public MyListener() {
        listNotifications = new ArrayList();
    }

// ---------------------------------------------------------- Public methods

    public void handleNotification(Notification notification, Object handback) {
        String s = "Notification = " + notification.toString() + ", Handback = "+ handback.toString();
        listNotifications.add(s);
    }

// ---------------------------------------------------------- Properties methods

    public ArrayList getlistNotifications() {
        return listNotifications;
    }

}
