<%-- 
/**
  * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Lesser General Public
  * License as published by the Free Software Foundation; either
  * version 2.1 of the License, or any later version.
  *
  * This library is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * Lesser General Public License for more details.
  *
  * You should have received a copy of the GNU Lesser General Public
  * License along with this library; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  * USA
  *
  * Component of: Red Hat Application Server
  * 
  * Initial Developers: Aizaz Ahmed
  *                     Vivek Lakshmanan
  *                     Andrew Overholt
  *                     Matthew Wringe
  *
  */
--%>
<%@ taglib uri="/WEB-INF/tld/struts-html.tld" prefix="html" %>
<%@ page contentType="text/html"
         import="olstore.entity.OrderLocal"
         import="olstore.util.WebUtils"
%>


<div class="orderListView">
<div class="spacer" ></div>
<%  OrderLocal order= (OrderLocal) request.getAttribute( "orderToDisplay" );
    pageContext.setAttribute ("ItemIDQS",order.getItem(), PageContext.REQUEST_SCOPE);
%>
    <span class="label">

    <html:link action="/views/Item.do" paramName="ItemIDQS" paramProperty="itemId" paramId="itemId">
    <%= order.getItem().getName() %>
    </html:link>

    </span>
    <span class="quantity"><%=order.getQuantity()%></span>
    <span class="status"><%=order.getStatus()%></span>
    <span class="date"><%=order.getDateReceived()%></span>
    <span class="price">$<%=WebUtils.costDisplay(order.getPricePaid())%></span>
    <div class="spacer"></div>
</div>
